'use strict';(function(exports){var SsMessageStack={_messages:[],_backScreenEnabled:true,_sendEvent:function(){if(this._backScreenEnabled!==true){return;}
window.dispatchEvent(new CustomEvent('update-second-screen',{detail:{type:'update-second-screen',top:this.top()}}));},size:function(){return this._messages.length;},top:function(){var len=this._messages.length;if(len>0){return this._messages[len-1];}
return null;},init:function(){this._messages=new Array();var SS_ENABLED_KEY='lockscreen.notifications-preview.enabled';var req=navigator.mozSettings.createLock().get(SS_ENABLED_KEY);req.onsuccess=function onsuccess(){var value=req.result[SS_ENABLED_KEY];SsMessageStack._backScreenEnabled=(value!==false)?true:false;};req.onerror=function onerror(){SsMessageStack._backScreenEnabled=true;};navigator.mozSettings.addObserver(SS_ENABLED_KEY,function(evt){var req=navigator.mozSettings.createLock().get(SS_ENABLED_KEY);req.onsuccess=function onsuccess(){var value=req.result[SS_ENABLED_KEY];if(value!==false){SsMessageStack._backScreenEnabled=true;}else{if(SsMessageStack.size()>0){SsMessageStack.removeAll();}
SsMessageStack._backScreenEnabled=false;}};req.onerror=function onerror(){SsMessageStack._backScreenEnabled=true;};});this._sendEvent();},push:function(element){this._messages.push(element);this._sendEvent();},pop:function(){this._messages.pop();this._sendEvent();},remove:function(id){var isRemoved=false;var removed=0;for(var i=this._messages.length-1;i>=0;i--){if(this._messages[i].id===id){this._messages.splice(i,1);isRemoved=true;removed++;}}
if(isRemoved){this._sendEvent();}},removeAll:function(){for(var i=this._messages.length-1;i>=0;i--){this._messages.splice(i,1);}
this._sendEvent();}};exports.SsMessageStack=SsMessageStack;})(window);